﻿© Fluke Calibration. All Rights Reserved.                  MET/CAL Procedure
=============================================================================
INSTRUMENT:            LeCroy WR104Xi: (1 yr) VER IEEE /9500/1100+4Hd,DMM
DATE:                  2011-11-28 09:32:40
AUTHOR:                Fluke
REVISION:              $Revision: 2624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       324
CONFIGURATION:         Datron 9500 (C5,G1)
CONFIGURATION:         Datron 9510 on channel 1
CONFIGURATION:         Datron 9510 on channel 2
CONFIGURATION:         Datron 9510 on channel 3
CONFIGURATION:         Datron 9510 on channel 4
CONFIGURATION:         Digital Multimeter
=============================================================================
#
#  Procedure Author:
#        VY
# 
#  Source(s):
#        Chapter 5 - WRXi Performance Verification Rev D.pdf
#        Chapter 5 - WRXi Performance Verification Test Record rev D.pdf
# 
#  Compatibility:
#        MET/CAL 7.20 or later
#
#  Additional Equipment Required:
#        Cable, 50 Ohm, BNC(m)-(m)
#        BNC female to double stacking banana plug, Pomona 1269
# 
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  M9500                       CH1
  1.003  9500         1000.1MH                     1Vpp           LS    S  L
  1.004  M9500                       CH2
  1.005  9500         1000.1MH                     1Vpp           LS    S  L
  1.006  M9500                       CH3
  1.007  9500         1000.1MH                     1Vpp           LS    S  L
  1.008  M9500                       CH4
  1.009  9500         1000.1MH                     1Vpp           LS    S  L
  1.010  IEEE         [@DMM]
  1.011  ENDIF

  1.012  ASK-   R   Q N              P                            A        V

  1.019  CALL         Sub Display Copyright
  1.020  CALL         Sub High Voltage Safety Warning
  1.021  CALL         Sub Select Failed Test Mode
  1.022  CALL         Sub Select Verification Method (No NTHROW)

  1.023  DISP         Ensure a minimum UUT warm-up time of at least
  1.023  DISP         20 minutes has been allowed to elapse, prior
  1.023  DISP         to beginning verification.

  1.024  HEAD         PRELIMINARY INSTRUCTIONS
  1.025  CALL         Sub LeCroy WS-GPIB Connection
  1.026  CALL         Sub LeCroy WS-GPIB Setup
  1.027  CALL         Sub LeCroy WS-GPIB Initialization

  1.028  MATH         L[1] = ZCMPI(@Manufacturer, "LECROY")
  1.029  MATH         L[2] = ZCMPI(@ModelNum, "WR104Xi")

  1.030  IF           NOT(L[1]) || NOT(L[2])
  1.031  DISP         UUT is a [V @Manufacturer] [V @ModelNum],
  1.031  DISP         not a LeCroy WR104Xi!
  1.032  END
  1.033  ENDIF

  1.034  CALL         Sub Datron 9500 Configuration Query IEEE

  1.035  HEAD         EQUIPMENT REQUIREMENTS
  1.036  OPBR         -z Do you want to REVIEW the list of additional
  1.036  OPBR         equipment and/or accessories required?

  1.037  IF           MEM1
  1.038  DISP         The following additional equipment and/or
  1.038  DISP         accessories are required:
  1.038  DISP
  1.038  DISP         - Cable, 50 Ohm, BNC(m)-(m)
  1.038  DISP         - BNC female to double stacking banana plug, Pomona 1269
  1.039  ENDIF

# Set the system confidence level to 95%.
  1.040  MATH         @SysConf = 2
  1.041  MATH         @DevName = "Datron 9500"

# Specify whether the calibrator is single or multi-channel.  This is used
# in subprocedures to determine the connections required for each test.
  1.042  MATH         @SourceMultiCh = 1

  1.043  CALL         Sub LeCroy WRXi Set BW & Number of Channels

# NOTE: Throughout this procedure, JMPL/LABEL statements are used to
# minimize connection changes during execution. Test results, however,
# are reported in test number sequence.
#
#  Order  Results                            Run Time (Execution)
#  -----  -------------------------------    --------------------------------
#    1.   SELF TEST                          SELF TEST
#    2.   CHANNEL INPUT IMPEDANCE(CH1)       PEAK-PEAK NOISE LEVEL(CH1)
#    3.   CHANNEL INPUT IMPEDANCE(CH2)       PEAK-PEAK NOISE LEVEL(CH2)
#    4.   CHANNEL INPUT IMPEDANCE(CH3)       PEAK-PEAK NOISE LEVEL(CH3)
#    5.   CHANNEL INPUT IMPEDANCE(CH4)       PEAK-PEAK NOISE LEVEL(CH4)
#    6.   EXTERNAL INPUT IMPEDANCE           LEAKAGE CURRENT(CH1)
#    7.   LEAKAGE CURRENT(CH1)               LEAKAGE CURRENT(CH2)
#    8.   LEAKAGE CURRENT(CH2)               LEAKAGE CURRENT(CH3)
#    9.   LEAKAGE CURRENT(CH3)               LEAKAGE CURRENT(CH4)
#   10.   LEAKAGE CURRENT(CH4)               EXTERNAL TRIGGER LEAKAGE CURRENT
#   11.   EXTERNAL TRIGGER LEAKAGE CURRENT   EXTERNAL INPUT IMPEDANCE
#   12.   PEAK-PEAK NOISE LEVEL(CH1)         CHANNEL INPUT IMPEDANCE(CH1)
#   13.   PEAK-PEAK NOISE LEVEL(CH2)         CHANNEL INPUT IMPEDANCE(CH2)
#   14.   PEAK-PEAK NOISE LEVEL(CH3)         CHANNEL INPUT IMPEDANCE(CH3)
#   15.   PEAK-PEAK NOISE LEVEL(CH4)         CHANNEL INPUT IMPEDANCE(CH4)
#   16.   DC GAIN ACC(CH1)                   DC GAIN ACC(CH1)
#   17.   DC GAIN ACC(CH2)                   DC GAIN ACC(CH2)
#   18.   DC GAIN ACC(CH3)                   DC GAIN ACC(CH3)
#   19.   DC GAIN ACC(CH4)                   DC GAIN ACC(CH4)
#   20.   OFFSET ACC(CH1)                    OFFSET ACC(CH1)
#   21.   OFFSET ACC(CH2)                    OFFSET ACC(CH2)
#   22.   OFFSET ACC(CH3)                    OFFSET ACC(CH3)
#   23.   OFFSET ACC(CH4)                    OFFSET ACC(CH4)
#   24.   BANDWIDTH(CH1)                     BANDWIDTH(CH1)
#   25.   BANDWIDTH(CH2)                     BANDWIDTH(CH2)
#   26.   BANDWIDTH(CH3)                     BANDWIDTH(CH3)
#   27.   BANDWIDTH(CH4)                     BANDWIDTH(CH4)
#   28.   TRIGGER LEVEL(CH1)                 TRIGGER LEVEL(CH1)
#   29.   TRIGGER LEVEL(CH2)                 TRIGGER LEVEL(CH2)
#   30.   TRIGGER LEVEL(CH3)                 TRIGGER LEVEL(CH3)
#   31.   TRIGGER LEVEL(CH4)                 TRIGGER LEVEL(CH4)
#   32.   TIME BASE                          TIME BASE

  1.044  CALL         Sub LeCroy WRXi Self-Test IEEE

  1.045  IF           @Abort
  1.046  END
  1.047  ENDIF

  1.048  JMPL         PEAK_PEAK_NOISE_LEVEL

  1.049  LABEL        CHANNEL_INPUT_IMPEDANCE
  1.050  MATH         @Chan = 1
  1.051  M9500                       CH1
  1.052  CALL         Sub LeCroy WRXi (1 yr) Chan Input Impedance IEEE /9500
  1.053  MATH         @Chan = 2
  1.054  M9500                       CH2
  1.055  CALL         Sub LeCroy WRXi (1 yr) Chan Input Impedance IEEE /9500
  1.056  MATH         @Chan = 3
  1.057  M9500                       CH3
  1.058  CALL         Sub LeCroy WRXi (1 yr) Chan Input Impedance IEEE /9500
  1.059  MATH         @Chan = 4
  1.060  M9500                       CH4
  1.061  CALL         Sub LeCroy WRXi (1 yr) Chan Input Impedance IEEE /9500
  1.062  JMPL         DC_GAIN_ACC

  1.063  LABEL        EXT_INPUT_IMPEDANCE
  1.064  MATH         @Chan = 5
  1.065  M9500                       CH1
  1.066  CALL         Sub LeCroy WRXi (1 yr) Ext Input Impedance IEEE /9500
  1.067  JMPL         CHANNEL_INPUT_IMPEDANCE

  1.068  LABEL        CHANNAL_LEAKAGE_CURRENT
  1.069  MATH         @Chan = 1
  1.070  CALL         Sub LeCroy WRXi (1 yr) Chan Leakage Current IEEE /DMM
  1.071  MATH         @Chan = 2
  1.072  CALL         Sub LeCroy WRXi (1 yr) Chan Leakage Current IEEE /DMM
  1.073  MATH         @Chan = 3
  1.074  CALL         Sub LeCroy WRXi (1 yr) Chan Leakage Current IEEE /DMM
  1.075  MATH         @Chan = 4
  1.076  CALL         Sub LeCroy WRXi (1 yr) Chan Leakage Current IEEE /DMM

  1.077  MATH         @Chan = 5
  1.078  CALL         Sub LeCroy WRXi (1 yr) Ext Leakage Current IEEE /DMM
  1.079  JMPL         EXT_INPUT_IMPEDANCE

  1.080  LABEL        PEAK_PEAK_NOISE_LEVEL
  1.081  MATH         @Chan = 1
  1.082  CALL         Sub LeCroy WRXi (1 yr) Peak-Peak Noise Level IEEE
  1.083  MATH         @Chan = 2
  1.084  CALL         Sub LeCroy WRXi (1 yr) Peak-Peak Noise Level IEEE
  1.085  MATH         @Chan = 3
  1.086  CALL         Sub LeCroy WRXi (1 yr) Peak-Peak Noise Level IEEE
  1.087  MATH         @Chan = 4
  1.088  CALL         Sub LeCroy WRXi (1 yr) Peak-Peak Noise Level IEEE
  1.089  JMPL         CHANNAL_LEAKAGE_CURRENT

  1.090  LABEL        DC_GAIN_ACC
  1.091  MATH         @Chan = 1
  1.092  M9500                       CH1
  1.093  CALL         Sub LeCroy WRXi (1 yr) DC Gain Acc IEEE /9500
  1.094  MATH         @Chan = 2
  1.095  M9500                       CH2
  1.096  CALL         Sub LeCroy WRXi (1 yr) DC Gain Acc IEEE /9500
  1.097  MATH         @Chan = 3
  1.098  M9500                       CH3
  1.099  CALL         Sub LeCroy WRXi (1 yr) DC Gain Acc IEEE /9500
  1.100  MATH         @Chan = 4
  1.101  M9500                       CH4
  1.102  CALL         Sub LeCroy WRXi (1 yr) DC Gain Acc IEEE /9500

  1.103  MATH         @Chan = 1
  1.104  M9500                       CH1
  1.105  CALL         Sub LeCroy WRXi (1 yr) Offset Acc IEEE /9500
  1.106  MATH         @Chan = 2
  1.107  M9500                       CH2
  1.108  CALL         Sub LeCroy WRXi (1 yr) Offset Acc IEEE /9500
  1.109  MATH         @Chan = 3
  1.110  M9500                       CH3
  1.111  CALL         Sub LeCroy WRXi (1 yr) Offset Acc IEEE /9500
  1.112  MATH         @Chan = 4
  1.113  M9500                       CH4
  1.114  CALL         Sub LeCroy WRXi (1 yr) Offset Acc IEEE /9500

  1.115  MATH         @Chan = 1
  1.116  M9500                       CH1
  1.117  CALL         Sub LeCroy WRXi (1 yr) Bandwidth IEEE /9500/1100
  1.118  MATH         @Chan = 2
  1.119  M9500                       CH2
  1.120  CALL         Sub LeCroy WRXi (1 yr) Bandwidth IEEE /9500/1100
  1.121  MATH         @Chan = 3
  1.122  M9500                       CH3
  1.123  CALL         Sub LeCroy WRXi (1 yr) Bandwidth IEEE /9500/1100
  1.124  MATH         @Chan = 4
  1.125  M9500                       CH4
  1.126  CALL         Sub LeCroy WRXi (1 yr) Bandwidth IEEE /9500/1100

  1.127  MATH         @Chan = 1
  1.128  M9500                       CH1
  1.129  CALL         Sub LeCroy WRXi (1 yr) Trigger Level IEEE /9500
  1.130  MATH         @Chan = 2
  1.131  M9500                       CH2
  1.132  CALL         Sub LeCroy WRXi (1 yr) Trigger Level IEEE /9500
  1.133  MATH         @Chan = 3
  1.134  M9500                       CH3
  1.135  CALL         Sub LeCroy WRXi (1 yr) Trigger Level IEEE /9500
  1.136  MATH         @Chan = 4
  1.137  M9500                       CH4
  1.138  CALL         Sub LeCroy WRXi (1 yr) Trigger Level IEEE /9500

  1.139  MATH         @Chan = 1
  1.140  M9500                       CH1
  1.141  CALL         Sub LeCroy WRXi (1 yr) Time Base Acc IEEE /9500

  1.142  DISP         V E R I F I C A T I O N   C O M P L E T E
  1.143  END